/[gentoo-x86]/sys-auth/polkit/ChangeLog
Gentoo

Contents of /sys-auth/polkit/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.194 - (show annotations) (download)
Sat Jul 4 13:26:52 2015 UTC (2 years, 3 months ago) by pacho
Branch: MAIN
Changes since 1.193: +9 -1 lines
Version bump, use spidermonkey-185 because of problems with memory handling when using mozjs-17 (#553334)

(Portage version: 2.2.20/cvs/Linux x86_64, signed Manifest commit with key A188FBD4)

1 # ChangeLog for sys-auth/polkit
2 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
3 # $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.193 2015/06/06 08:52:19 perfinion Exp $
4
5 *polkit-0.113 (04 Jul 2015)
6
7 04 Jul 2015; Pacho Ramos <pacho@gentoo.org> +polkit-0.113.ebuild,
8 -files/polkit-0.110-W_define.patch, -polkit-0.110.ebuild,
9 -polkit-0.112-r1.ebuild, -polkit-0.112.ebuild:
10 Version bump, use spidermonkey-185 because of problems with memory handling
11 when using mozjs-17 (#553334)
12
13 *polkit-0.112-r3 (06 Jun 2015)
14
15 06 Jun 2015; Jason Zaman <perfinion@gentoo.org> +files/polkit-0.112-0001-backe
16 nd-Handle-invalid-object-paths-in-RegisterAuthe.patch,
17 +polkit-0.112-r3.ebuild:
18 fix bug 551316 CVE-2015-3218: crash authentication_agent_new with invalid
19 object path in RegisterAuthenticationAgent
20
21 03 Mar 2015; Yixun Lan <dlan@gentoo.org> polkit-0.110.ebuild:
22 add arm64 support, tested on A53 board
23
24 11 Feb 2015; Patrick Lauer <patrick@gentoo.org> polkit-0.112-r2.ebuild:
25 Whitespace
26
27 14 Jan 2015; Manuel Rüger <mrueg@gentoo.org> polkit-0.112-r2.ebuild:
28 Add dep on kde-plasma/polkit-kde-agent as suggested by Elias Probst. Fixes bug
29 #536550.
30
31 11 Nov 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r2.ebuild:
32 Stable for ia64, wrt bug #525252
33
34 06 Nov 2014; Samuli Suominen <ssuominen@gentoo.org> polkit-0.112-r2.ebuild:
35 Don't run pax-mark when variable "m" is empty wrt #485910 by "Nikoli"
36
37 04 Nov 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r2.ebuild:
38 Stable for sparc, wrt bug #525252
39
40 03 Nov 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r2.ebuild:
41 Stable for x86, wrt bug #525252
42
43 02 Nov 2014; Sven Vermeulen <swift@gentoo.org> polkit-0.112-r2.ebuild:
44 Remove sec-policy/selinux-* dependency from DEPEND but keep in RDEPEND (bug
45 #527698)
46
47 02 Nov 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r2.ebuild:
48 Stable for alpha, wrt bug #525252
49
50 01 Nov 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r2.ebuild:
51 Stable for ppc, wrt bug #525252
52
53 31 Oct 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r2.ebuild:
54 Stable for ppc64, wrt bug #525252
55
56 30 Oct 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r2.ebuild:
57 Stable for amd64, wrt bug #525252
58
59 23 Oct 2014; Markus Meier <maekke@gentoo.org> polkit-0.112-r2.ebuild:
60 arm stable, bug #525252
61
62 16 Oct 2014; Jeroen Roovers <jer@gentoo.org> polkit-0.112-r2.ebuild:
63 Stable for HPPA (bug #525252).
64
65 14 Aug 2014; Samuli Suominen <ssuominen@gentoo.org> polkit-0.112-r1.ebuild,
66 polkit-0.112-r2.ebuild:
67 Fix the arch logic for HPPA (to match how IA64 and MIPS are handled in the
68 ebuild)
69
70 14 Aug 2014; Jeroen Roovers <jer@gentoo.org> polkit-0.112-r1.ebuild:
71 Stable for HPPA (bug #519870).
72
73 13 Aug 2014; Jeroen Roovers <jer@gentoo.org> polkit-0.112-r2.ebuild:
74 Marked ~hppa (bug #517804).
75
76 17 May 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r1.ebuild:
77 Stable for alpha, wrt bug #508862
78
79 14 May 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r1.ebuild:
80 Stable for sparc, wrt bug #508862
81
82 13 May 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r1.ebuild:
83 Stable for ia64, wrt bug #508862
84
85 11 May 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r1.ebuild:
86 Stable for ppc64, wrt bug #508862
87
88 10 May 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r1.ebuild:
89 Stable for ppc, wrt bug #508862
90
91 06 Apr 2014; Pacho Ramos <pacho@gentoo.org> polkit-0.112-r2.ebuild:
92 Needs to be rebuilt with systemd subslot bumps
93
94 15 Mar 2014; Samuli Suominen <ssuominen@gentoo.org> metadata.xml:
95 Add proper metadata for freedesktop-bugs@g.o
96
97 *polkit-0.112-r2 (15 Mar 2014)
98
99 15 Mar 2014; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.112-r2.ebuild:
100 USE="jit" to determine which pax-mark, if any, should be applied wrt #485910
101
102 11 Mar 2014; Pacho Ramos <pacho@gentoo.org> metadata.xml:
103 Cleanup due #239126
104
105 25 Feb 2014; Markus Meier <maekke@gentoo.org> polkit-0.112-r1.ebuild:
106 arm stable, bug #500758
107
108 23 Feb 2014; Pacho Ramos <pacho@gentoo.org> polkit-0.112-r1.ebuild:
109 x86 stable, bug #500758
110
111 23 Feb 2014; Pacho Ramos <pacho@gentoo.org> polkit-0.112-r1.ebuild:
112 amd64 stable, bug #500758
113
114 28 Dec 2013; Anthony G. Basile <blueness@gentoo.org> polkit-0.112-r1.ebuild:
115 Fix ia64 where the order of the configure options was overridden by mips,
116 thanks Arfrever
117
118 27 Dec 2013; Anthony G. Basile <blueness@gentoo.org> polkit-0.112-r1.ebuild:
119 Because sometimes portage is stupid
120
121 24 Dec 2013; Anthony G. Basile <blueness@gentoo.org> polkit-0.112-r1.ebuild:
122 Fix dependence on spidermonkey for mips, bug #495168
123
124 23 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
125 Stable for sparc, wrt bug #484486
126
127 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
128 Stable for alpha, wrt bug #484486
129
130 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
131 Stable for ia64, wrt bug #484486
132
133 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
134 Stable for ppc64, wrt bug #484486
135
136 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
137 Stable for ppc, wrt bug #484486
138
139 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
140 Stable for arm, wrt bug #484486
141
142 21 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
143 Stable for x86, wrt bug #484486
144
145 21 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
146 Stable for amd64, wrt bug #484486
147
148 19 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.110-r1.ebuild,
149 -files/polkit-0.110-CVE-2013-4288.patch:
150 old
151
152 *polkit-0.112-r1 (19 Sep 2013)
153
154 19 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.112-r1.ebuild,
155 polkit-0.112.ebuild:
156 -r0 is for stabilization w/ mozjs185 and -r1 is for ~arch with mozjs 17.0
157
158 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org> -polkit-0.111-r1.ebuild:
159 Remove vulnerable version
160
161 *polkit-0.110-r1 (19 Sep 2013)
162
163 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org>
164 +files/polkit-0.110-CVE-2013-4288.patch, +polkit-0.110-r1.ebuild:
165 Bump for CVE-2013-4288
166
167 *polkit-0.112 (19 Sep 2013)
168
169 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org> +polkit-0.112.ebuild:
170 Bump for CVE-2013-4288
171
172 10 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild,
173 polkit-0.111-r1.ebuild:
174 Stop forcing USE="consolekit systemd" for sys-auth/pambase in PDEPEND because
175 CONFIG_AUDITSYSCALL=y is not possible on every arch and the dependency was
176 always more about convinience than being strict requirement.
177
178 09 Aug 2013; Ian Stakenvicius <axs@gentoo.org> -polkit-0.111.ebuild:
179 dropped polkit-111 in favour of -r1 now that spidermonkey-17 is unmasked, as
180 per ssuominen's approval
181
182 09 Aug 2013; Ian Stakenvicius <axs@gentoo.org> polkit-0.110.ebuild,
183 polkit-0.111-r1.ebuild:
184 Adjusted deps for dev-lang/spidermonkey to ensure SLOT=0
185
186 *polkit-0.111-r1 (08 Aug 2013)
187
188 08 Aug 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.111-r1.ebuild:
189 Force use of dev-lang/spidermonkey:17 because automagic dependencies are bad.
190
191 *polkit-0.111 (15 May 2013)
192
193 15 May 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.111.ebuild:
194 Version bump by "okias" from Freenode
195
196 19 Mar 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.107-r1.ebuild,
197 -files/polkit-0.107-fallback.patch:
198 old
199
200 19 Mar 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
201 Stable for sh, wrt bug #452688
202
203 12 Mar 2013; Samuli Suominen <ssuominen@gentoo.org>
204 files/polkit-0.110-W_define.patch:
205 Include link to upstream bug.
206
207 12 Mar 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild,
208 +files/polkit-0.110-W_define.patch:
209 Fix missing #include <sys/wait.h> for #define's of WIFEXITED, WEXITSTATUS,
210 WIFSIGNALED and WTERMSIG (to fix building on arch "sh")
211
212 09 Mar 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
213 Stable for sparc, wrt bug #452688
214
215 03 Mar 2013; Mike Frysinger <vapier@gentoo.org> polkit-0.110.ebuild:
216 Add s390 keywords #457078 by Michael Palimaka.
217
218 23 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
219 Stable for alpha, wrt bug #452688
220
221 10 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
222 Stable for ppc64, wrt bug #452688
223
224 09 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
225 Stable for ia64, wrt bug #452688
226
227 31 Jan 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
228 Stable for ppc, wrt bug #452688
229
230 29 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
231 Force USE="debug" to be disabled in dev-lang/spidermonkey to avoid asseration
232 errors as noted by _AxS_.
233
234 26 Jan 2013; Markus Meier <maekke@gentoo.org> polkit-0.110.ebuild:
235 arm stable, bug #452688
236
237 20 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
238 x86 stable wrt #452688
239
240 19 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
241 amd64 stable wrt #452688
242
243 11 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.104-r1.ebuild,
244 -polkit-0.109-r1.ebuild, -files/polkit-0.109-XAUTHORITY-fallback.patch:
245 old
246
247 *polkit-0.110 (11 Jan 2013)
248
249 11 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.110.ebuild:
250 Version bump.
251
252 06 Jan 2013; Raúl Porcel <armin76@gentoo.org> polkit-0.107-r1.ebuild,
253 polkit-0.109-r1.ebuild:
254 Add ~sh wrt #436668
255
256 01 Jan 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.109-r1.ebuild:
257 Add ~ia64, wrt bug #436668
258
259 30 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
260 Stable for sparc, wrt bug #436666
261
262 29 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
263 Stable for alpha, wrt bug #436666
264
265 21 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.108.ebuild,
266 -polkit-0.109.ebuild:
267 old
268
269 *polkit-0.109-r1 (21 Dec 2012)
270
271 21 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109-r1.ebuild,
272 +files/polkit-0.109-XAUTHORITY-fallback.patch:
273 Backport XAUTHORITY fallback support from upstream git.
274
275 19 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.108.ebuild:
276 Add ~ia64, wrt bug #436668
277
278 *polkit-0.109 (19 Dec 2012)
279
280 19 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109.ebuild:
281 Version bump. Fix PaX marking logic wrt #444446 by Maxim Kammerer
282
283 18 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
284 Stable for ia64, wrt bug #436666
285
286 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
287 stable arm, bug #436666
288
289 22 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.107.ebuild:
290 old
291
292 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
293 stable ppc64, bug #436666
294
295 22 Nov 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
296 Stable for x86, tested by Vincent Olivert Riera <peratu@carrosses.com>, wrt
297 bug #436666
298
299 21 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
300 stable ppc, bug #436666, thanks peratu
301
302 19 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.108.ebuild:
303 Link against -lgmodule-2.0 to prevent underlinking (backported from upstream,
304 but using sed to avoid eautoreconf) wrt #443798
305
306 *polkit-0.108 (18 Nov 2012)
307
308 18 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.108.ebuild:
309 Version bump.
310
311 28 Oct 2012; Naohiro Aota <naota@gentoo.org> polkit-0.104-r1.ebuild,
312 polkit-0.107-r1.ebuild, polkit-0.107.ebuild:
313 Drop ~x86-fbsd due to bug #439968.
314
315 15 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.104-r1.ebuild,
316 polkit-0.107-r1.ebuild:
317 Drop HPPA keywording (bug #438368).
318
319 15 Oct 2012; Zac Medico <zmedico@gentoo.org> polkit-0.107-r1.ebuild:
320 Set QA_MULTILIB_PATHS for bug #424423.
321
322 09 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.107-r1.ebuild:
323 Marked ~hppa (bug #436668).
324
325 08 Oct 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.107-r1.ebuild:
326 Use pax-mark in src_compile() instead of src_install() for src_test() wrt
327 #423927 by "kensington" and "Nikoli". Punt bogus RESTRICT for multilib-strict
328 and emphatize it's an Portage issue instead of polkit issue in src_install()
329 message.
330
331 07 Oct 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
332 Stable for amd64, wrt bug #436666
333
334 *polkit-0.107-r1 (20 Sep 2012)
335
336 20 Sep 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107-r1.ebuild,
337 +files/polkit-0.107-fallback.patch:
338 Introduce upstream patch for falling back to uid 0 for authentication if list
339 of admin identities is empty.
340
341 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.105.ebuild,
342 -polkit-0.106-r7.ebuild:
343 old
344
345 *polkit-0.107 (13 Jul 2012)
346
347 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107.ebuild:
348 Version bump.
349
350 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r5.ebuild,
351 -polkit-0.106-r6.ebuild:
352 old
353
354 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r7.ebuild:
355 Remove USE="debug" because --enable/--disable-verbose-mode is no-op wrt
356 #391865 by Maksim Melnikau
357
358 *polkit-0.106-r7 (02 Jul 2012)
359
360 02 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r7.ebuild:
361 RESTRICT="multilib-strict" since it's not compatible with the whole
362 /usr/libexec -> /usr/lib/$package migration wrt #424423. This will move
363 polkit-agent-helper-1 and polkitd back to /usr/lib/polkit-1.
364
365 *polkit-0.106-r6 (01 Jul 2012)
366
367 01 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r6.ebuild:
368 Fix hardcoded path to "lib" in polkitagentsession.c for systems without the
369 /usr/lib to /usr/lib64 symlink.
370
371 30 Jun 2012; <swift@gentoo.org> polkit-0.104-r1.ebuild, polkit-0.105.ebuild,
372 polkit-0.106-r5.ebuild:
373 Adding dependency on SELinux policykit module if USE=selinux is set
374
375 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r5.ebuild:
376 pax-mark polkitd only when spidermonkey is built with JIT enabled and only
377 'm' instead of 'mr' when version is >= 1.8.7 (by using has_version check)
378
379 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r2.ebuild,
380 -polkit-0.106-r3.ebuild, -polkit-0.106-r4.ebuild:
381 old
382
383 *polkit-0.106-r5 (27 Jun 2012)
384
385 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r5.ebuild:
386 Revert entire unix-group:wheel experiment back to unix-user:0 because
387 PolicyKit agent(s) don't behave correctly with it wrt #423733 by Travis
388 Hansen. Revert system-local-login to system-auth for PAM errors wrt #423487
389 by Doug Goldstein.
390
391 *polkit-0.106-r4 (27 Jun 2012)
392
393 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r4.ebuild:
394 Stop installing polkit-backend-1.pc because upstream changed
395 libpolkit-backend-1.la to be noinst_LTLIBRARIES in
396 src/polkitbackend/Makefile.am wrt #423431 by Pim Vullers
397
398 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r3.ebuild:
399 Redefine libprivdir in install for multilib-strict wrt #423381 by Michael
400 Palimaka
401
402 *polkit-0.106-r3 (25 Jun 2012)
403
404 25 Jun 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
405 +polkit-0.106-r3.ebuild:
406 pax-mark polkitd to fix crashes on hardened/PaX systems.
407
408 23 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
409 Convert pkg_postinst() message about polkitd home directory to new
410 user.eclass function esethome().
411
412 19 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
413 Check for mozjs187.pc for >=dev-lang/spidermonkey-1.8.7 compability.
414
415 19 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
416 Adapt to sys-auth/pambase with USE="systemd" wrt #372229 by Michał Górny
417
418 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r1.ebuild:
419 old
420
421 *polkit-0.106-r2 (17 Jun 2012)
422
423 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r2.ebuild:
424 Revision bump to chown /var/lib/polkit-1 because diropts has no effect on
425 existing directories.
426
427 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106.ebuild:
428 old
429
430 *polkit-0.106-r1 (17 Jun 2012)
431
432 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r1.ebuild:
433 Update /etc/pam.d/polkit-1 from system-login to system-local-login. Use
434 unix-group "adm" for administrators. Use /var/lib/polkit-1 as home directory
435 for unix-user polkitd. Update owners of /etc/polkit-1/rules.d and
436 /usr/share/polkit-1/rules.d to polkitd:root wrt #420269.
437
438 13 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106.ebuild:
439 Pull in dev-lang/spidermonkey >= 1.8.5 and dev-libs/glib >= 2.32 wrt
440 #420173 and #420307.
441
442 *polkit-0.106 (07 Jun 2012)
443
444 07 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106.ebuild:
445 Version bump.
446
447 20 May 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.105.ebuild:
448 Improve systemd handling wrt #416317 by Christoph Brill
449
450 *polkit-0.105 (14 May 2012)
451
452 14 May 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.105.ebuild:
453 Version bump.
454
455 04 May 2012; Jeff Horelick <jdhore@gentoo.org> polkit-0.104-r1.ebuild:
456 dev-util/pkgconfig -> virtual/pkgconfig
457
458 18 Apr 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.102.ebuild,
459 -polkit-0.103.ebuild, -polkit-0.104.ebuild:
460 old
461
462 25 Mar 2012; Raúl Porcel <armin76@gentoo.org> polkit-0.104-r1.ebuild:
463 ia64/sh/sparc stable wrt #401513
464
465 09 Mar 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.104-r1.ebuild:
466 ppc/ppc64 stable wrt #401513
467
468 17 Feb 2012; Tobias Klausmann <klausman@gentoo.org> polkit-0.104-r1.ebuild:
469 Stable on alpha, bug #401513
470
471 17 Feb 2012; Thomas Kahle <tomka@gentoo.org> polkit-0.104-r1.ebuild:
472 marked x86 per bug 401513
473
474 13 Feb 2012; Markus Meier <maekke@gentoo.org> polkit-0.104-r1.ebuild:
475 arm stable, bug #401513
476
477 02 Feb 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.104-r1.ebuild:
478 Stable for HPPA (bug #401513).
479
480 30 Jan 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.104-r1.ebuild:
481 Stable for AMD64, wrt security bug #401513
482
483 *polkit-0.104-r1 (30 Jan 2012)
484
485 30 Jan 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.104-r1.ebuild:
486 Restore the default value of AdminIdentities from "wheel" to "0" like it was
487 in polkit-0.102 and ones before that. You should see files
488 50-localauthority.conf and 60-gentoo.conf in
489 /etc/polkit-1/localauthority.conf.d. You should also familiarize yourself
490 with "man 8 pklocalauthority" as soon as possible.
491
492 29 Jan 2012; Markus Meier <maekke@gentoo.org> polkit-0.103.ebuild:
493 arm stable, bug #397755
494
495 07 Jan 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.103.ebuild:
496 Stable for AMD64, wrt bug #397755
497
498 *polkit-0.104 (05 Jan 2012)
499
500 05 Jan 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.104.ebuild,
501 metadata.xml:
502 Version bump.
503
504 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.101-r1.ebuild:
505 old
506
507 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.102.ebuild:
508 ppc/ppc64 stable wrt #387163
509
510 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.103.ebuild:
511 Raise dev-libs/glib depend to at least 2.30 wrt #393579 by Matt Palermo
512
513 *polkit-0.103 (07 Dec 2011)
514
515 07 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.103.ebuild:
516 Version bump. Remove unrequired keepdir of /var/run/polkit-1 wrt #387903 by
517 "i.Dark_Templar"
518
519 05 Nov 2011; Raúl Porcel <armin76@gentoo.org> polkit-0.102.ebuild:
520 alpha/arm/ia64/sh/sparc stable wrt #387163
521
522 29 Oct 2011; Markus Meier <maekke@gentoo.org> polkit-0.102.ebuild:
523 arm stable, bug #387163
524
525 19 Oct 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.102.ebuild:
526 Stable for HPPA (bug #387163).
527
528 18 Oct 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> polkit-0.102.ebuild:
529 x86 stable wrt bug #387163
530
531 15 Oct 2011; Markos Chandras <hwoarang@gentoo.org> polkit-0.102.ebuild:
532 Stable on amd64 wrt bug #387163
533
534 28 Aug 2011; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.101-r1.ebuild,
535 polkit-0.102.ebuild:
536 pambase[consolekit] support is needed to use polkit with pam, add to PDEPEND
537
538 *polkit-0.102 (06 Aug 2011)
539
540 06 Aug 2011; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.102.ebuild:
541 Version bump.
542
543 10 Jul 2011; Matt Turner <mattst88@gentoo.org> polkit-0.101-r1.ebuild:
544 Added ~mips, bug 296548
545
546 14 May 2011; Gilles Dartiguelongue <eva@gentoo.org> polkit-0.101-r1.ebuild:
547 Add missing dtd to DEPEND, bug #355505.
548
549 30 Apr 2011; Raúl Porcel <armin76@gentoo.org> polkit-0.101-r1.ebuild:
550 alpha/arm/ia64/sh/sparc stable wrt #364973
551
552 28 Apr 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
553 polkit-0.101-r1.ebuild:
554 x86 stable wrt security bug #364973
555
556 27 Apr 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.101-r1.ebuild:
557 Stable for HPPA (bug #364973).
558
559 27 Apr 2011; Christoph Mende <angelos@gentoo.org> polkit-0.101-r1.ebuild:
560 Stable on amd64 wrt bug #364973
561
562 27 Apr 2011; Kacper Kowalik <xarthisius@gentoo.org> polkit-0.101-r1.ebuild:
563 ppc/ppc64 stable wrt #364973
564
565 *polkit-0.101-r1 (25 Apr 2011)
566
567 25 Apr 2011; Nirbheek Chauhan <nirbheek@gentoo.org> -polkit-0.100.ebuild,
568 +polkit-0.101-r1.ebuild:
569 Add patches for CVE-2011-1485, remove vulnerable 0.100 version
570
571 22 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> polkit-0.99-r1.ebuild:
572 ppc/ppc64 stable wrt #354509
573
574 19 Mar 2011; Raúl Porcel <armin76@gentoo.org> polkit-0.99-r1.ebuild:
575 alpha/ia64/sh/sparc stable wrt #354509
576
577 15 Mar 2011; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.101.ebuild:
578 PDEPEND on 0.101 version of polkit-gnome
579
580 13 Mar 2011; Markus Meier <maekke@gentoo.org> polkit-0.99-r1.ebuild:
581 arm stable, bug #354509
582
583 *polkit-0.101 (11 Mar 2011)
584
585 11 Mar 2011; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.101.ebuild:
586 Version bump.
587
588 07 Mar 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.99-r1.ebuild:
589 Stable for HPPA (bug #354509).
590
591 04 Mar 2011; Thomas Kahle <tomka@gentoo.org> polkit-0.99-r1.ebuild:
592 x86 stable per bug 354509
593
594 23 Feb 2011; Markos Chandras <hwoarang@gentoo.org> polkit-0.99-r1.ebuild:
595 Stable on amd64 wrt bug #354509
596
597 *polkit-0.100 (23 Feb 2011)
598
599 23 Feb 2011; Nirbheek Chauhan <nirbheek@gentoo.org> +polkit-0.100.ebuild:
600 Bump to 0.100
601
602 24 Jan 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.99-r1.ebuild:
603 USE="kde" to pull in authentication agent for KDE.
604
605 21 Jan 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.99-r1.ebuild:
606 Marked ~hppa (bug #296548).
607
608 *polkit-0.99-r1 (25 Dec 2010)
609
610 25 Dec 2010; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.99-r1.ebuild:
611 Revision bump to remove static archives (.a) and libtool archives (.la).
612 USE="gtk" to pull in authentication agent for GTK+ based desktops.
613
614 *polkit-0.99 (25 Sep 2010)
615
616 25 Sep 2010; <nirbheek@gentoo.org> +polkit-0.99.ebuild:
617 Bump to 0.99, masked due to >=glib-2.25 requirement
618
619 18 Aug 2010; Markus Meier <maekke@gentoo.org> polkit-0.96-r1.ebuild:
620 arm stable, bug #314899
621
622 14 Aug 2010; Raúl Porcel <armin76@gentoo.org> polkit-0.96-r1.ebuild,
623 polkit-0.96-r2.ebuild:
624 alpha/ia64/sh/sparc stable
625
626 09 Aug 2010; Joseph Jezak <josejx@gentoo.org> polkit-0.96-r1.ebuild:
627 Marked ppc/ppc64 stable.
628
629 25 Jul 2010; Tobias Klausmann <klausman@gentoo.org> polkit-0.96-r2.ebuild:
630 Stable on alpha, bug #329621
631
632 20 Jul 2010; Jeroen Roovers <jer@gentoo.org> polkit-0.96.ebuild,
633 polkit-0.96-r1.ebuild, polkit-0.96-r2.ebuild:
634 Stable for HPPA (bug #314899).
635
636 20 Jul 2010; Jeroen Roovers <jer@gentoo.org> polkit-0.96.ebuild,
637 polkit-0.96-r1.ebuild, polkit-0.96-r2.ebuild:
638 Drop HPPA keywording (bug #324511).
639
640 07 Jul 2010; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.96-r1.ebuild,
641 polkit-0.96-r2.ebuild:
642 Add ewarn about ensuring that consolekit sessions are working. Either the
643 user needs to login using a login-manager with consolekit support, or use
644 ck-launch-session to launch the DE as suggested in bug 291116 comment 13
645
646 *polkit-0.96-r2 (02 Jul 2010)
647
648 02 Jul 2010; Nirbheek Chauhan <nirbheek@gentoo.org>
649 +polkit-0.96-r2.ebuild, metadata.xml:
650 USE=expat was quite useless, expat is mandatory in polkit. Don't create
651 user 'polkituser', it was used by policykit, but isn't by polkit. Also,
652 add introspection support
653
654 04 Jun 2010; Markus Meier <maekke@gentoo.org> polkit-0.96-r1.ebuild:
655 x86 stable, bug #314899
656
657 03 May 2010; Olivier Crête <tester@gentoo.org> polkit-0.96-r1.ebuild:
658 amd64 stable, bug #314899
659
660 25 Apr 2010; Raúl Porcel <armin76@gentoo.org> polkit-0.96.ebuild,
661 polkit-0.96-r1.ebuild:
662 Add ~sh
663
664 13 Apr 2010; Alexis Ballier <aballier@gentoo.org> polkit-0.96-r1.ebuild,
665 +files/polkit-0.96-getcwd.patch:
666 Fix build on fbsd and keyword it x86-fbsd
667
668 25 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.96.ebuild,
669 polkit-0.96-r1.ebuild:
670 Raise gtk-doc{,-am} dependencies. Fixes bug 311085
671
672 21 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org>
673 -files/polkit-0.93-fix-daemon-name.patch, -polkit-0.94.ebuild,
674 -polkit-0.95.ebuild:
675 Remove old
676
677 *polkit-0.96-r1 (21 Mar 2010)
678
679 21 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org>
680 +polkit-0.96-r1.ebuild:
681 Update with newer version of polkit-shadow patch
682
683 07 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.96.ebuild:
684 Fix minor problems with SRC_URI
685
686 07 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.96.ebuild:
687 Add experimental shadow support, bug 291116 . Patch thanks to the
688 slackware folks.
689
690 28 Feb 2010; Raúl Porcel <armin76@gentoo.org> polkit-0.96.ebuild:
691 Add ~alpha/~arm/~ia64/~sparc
692
693 16 Feb 2010; Joseph Jezak <josejx@gentoo.org> polkit-0.96.ebuild:
694 Marked ~ppc/~ppc64 for bug #296548.
695
696 *polkit-0.96 (23 Jan 2010)
697
698 23 Jan 2010; Nirbheek Chauhan <nirbheek@gentoo.org> +polkit-0.96.ebuild:
699 Version bump to 0.96; lots of bugfixes, see NEWS
700
701 06 Jan 2010; Jeroen Roovers <jer@gentoo.org> polkit-0.95.ebuild:
702 Marked ~hppa (bug #296548).
703
704 11 Dec 2009; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.95.ebuild:
705 Add sys-auth/consolekit-0.4.0[polkit] to PDEPEND; needed for checking if
706 the user is in an active/local session via dbus methods
707
708 *polkit-0.95 (14 Nov 2009)
709
710 14 Nov 2009; Nirbheek Chauhan <nirbheek@gentoo.org> +polkit-0.95.ebuild:
711 Bump to 0.95 -- new lockdown API, last dev version till 1.0
712
713 30 Oct 2009; Nirbheek Chauhan <nirbheek@gentoo.org>
714 -files/polkit-0.92-zsh-completions.patch, polkit-0.94.ebuild:
715 Remove zsh-completion (bug 291114), force pam support on (bug 291116)
716
717 *polkit-0.94 (29 Oct 2009)
718
719 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org>
720 +files/polkit-0.92-zsh-completions.patch,
721 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild,
722 +metadata.xml:
723 Initial ebuild for GNOME 2.28.

  ViewVC Help
Powered by ViewVC 1.1.20